mtext_ins(3m17n)

NAME
mtext_ins - Insert an M-text into another M-text.

SYNOPSIS
int mtext_ins (MText * mt1, int pos, MText * mt2)

DESCRIPTION
Insert an M-text into another M-text.

The mtext_ins() function inserts M-text mt2 into M-text mt1, at position pos. As a result, mt1 is lengthen by the length of mt2. On insertion, all the text properties of mt2 are inherited. The original mt2 is not modified.

RETURN VALUE

    If the operation was successful, mtext_ins() returns 0. Otherwise, it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_RANGE, MERROR_MTEXT

SEE ALSO

    mtext_del(), mtext_insert()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.